Package net.ivoa.util

# Class CGI

java.lang.Object
net.ivoa.util.CGI

public class CGI extends Object
Simple utility for parsing CGI parameters

## Constructor Summary

Constructors
Constructor
Description
`CGI()`
`CGI(String input)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addField()`
`protected void`
`addField(String key, String val)`
`int`
`count(String key)`
`protected void`
`decodeField(String field)`
`protected String`
`getField(String key, String line)`
`HashMap<String,String[]>`
`getParams()`
`String[]`
`keys()`
`protected void`
`parseMultipartForm(String type)`
`protected void`
`parseParams()`
`protected void`
`parseString(String queryString)`
`String`
`value(String key)`
`String[]`
`values(String key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CGI

public CGI()

### CGI

public CGI(String input)

## Method Details

### getParams

public HashMap<String,String[]> getParams()

### parseParams

protected void parseParams()

### parseString

protected void parseString(String queryString)

### getField

protected String getField(String key, String line)

### parseMultipartForm

protected void parseMultipartForm(String type)

### addField

protected void addField()

### decodeField

protected void decodeField(String field)

### addField

protected void addField(String key, String val)

### value

public String value(String key)

### values

public String[] values(String key)

### count

public int count(String key)

### keys

public String[] keys()